> ## Documentation Index
> Fetch the complete documentation index at: https://firecrawl-docs-improve-developers-mcp-value-props.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# はじめに

> ウェブを検索し、あらゆるページをスクレイピングして操作できます — すべてを1つのAPIで。

<Note>
  **AIエージェント向け:** Markdown形式で表示するには、任意のドキュメントURLの末尾に`.md`を追加してください。例: [introduction.md](/ja/introduction.md)。
</Note>

<div id="get-started">
  ## はじめに
</div>

<CardGroup cols={2}>
  <Card title="API キーを取得" icon="key" href="https://www.firecrawl.dev/app/api-keys">
    サインアップして、Firecrawl の利用を開始するための API キーを取得しましょう
  </Card>

  <Card title="Playground で試す" icon="play" href="https://www.firecrawl.dev/playground">
    コードを書くことなく、その場で API をテストできます
  </Card>
</CardGroup>

<div id="use-firecrawl-with-ai-agents-recommended">
  ### AIエージェントでFirecrawlを使う (推奨)
</div>

Firecrawlスキルは、エージェントがFirecrawlを見つけて利用できるようにする最速の方法です。これがない場合、エージェントはFirecrawlが利用可能であることを認識できません。

```bash theme={null}
npx -y firecrawl-cli@latest init --all --browser
```

<Note>
  スキルのインストール後に、エージェントを再起動してください。セットアップ方法の詳細は [Skill + CLI](/ja/sdks/cli) を参照してください。
</Note>

または [MCP Server](/ja/mcp-server) を使用して、Firecrawl を Claude、Cursor、Windsurf、VS Code などの AI ツールに直接接続することもできます。

***

<div id="what-can-firecrawl-do">
  ## Firecrawl でできること
</div>

<CardGroup cols={3}>
  <Card title="Search" icon="magnifying-glass" href="#search">
    ウェブを検索し、結果からページ全体のコンテンツを取得
  </Card>

  <Card title="Scrape" icon="file-lines" href="#scrape">
    任意の URL から、Markdown、HTML、または構造化 JSON としてコンテンツを抽出
  </Card>

  <Card title="Interact" icon="hand-pointer" href="#interact">
    スクレイピングした任意のページで作業を続ける — クリック、フォーム入力、動的コンテンツの抽出
  </Card>
</CardGroup>

<div id="why-firecrawl">
  ### なぜ Firecrawl なのか？
</div>

* **LLM対応の出力**: クリーンなMarkdown、構造化されたJSON、スクリーンショットなどを出力できます。
* **複雑なケースにも対応**: プロキシ、アンチボット、JavaScriptレンダリング、動的コンテンツに対応します。
* **高い信頼性**: 高い稼働率と安定した結果を実現し、本番運用向けに設計されています。
* **高速**: 数秒で結果を返し、高スループット向けに最適化されています。
* **MCP Server**: [Model Context Protocol (MCP) ](/ja/mcp-server) を介して、FirecrawlをあらゆるAIツールに接続できます。

***

<div id="search">
  ## Search
</div>

1 回の呼び出しでウェブを検索し、結果からページ全体のコンテンツを取得できます。すべてのオプションについては、[Search feature docs](/ja/features/search) を参照してください。

<CodeGroup>
  ```python Python theme={null}
  from firecrawl import Firecrawl

  firecrawl = Firecrawl(api_key="fc-YOUR-API-KEY")

  results = firecrawl.search(
      query="Firecrawl",
      limit=3,
  )
  print(results)
  ```

  ```js Node theme={null}
  import Firecrawl from '@mendable/firecrawl-js';

  const firecrawl = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });

  const results = await firecrawl.search('firecrawl', {
    limit: 3,
    scrapeOptions: { formats: ['markdown'] }
  });
  console.log(results);
  ```

  ```bash cURL theme={null}
  curl -s -X POST "https://api.firecrawl.dev/v2/search" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "query": "firecrawl",
      "limit": 3
    }'
  ```

  ```bash CLI theme={null}
  # ウェブを検索
  firecrawl search "firecrawl web scraping" --limit 5 --pretty
  ```
</CodeGroup>

<Accordion title="Response">
  SDK は data オブジェクトを直接返します。cURL は完全なペイロードを返します。

  ```json JSON theme={null}
  {
    "success": true,
    "data": {
      "web": [
        {
          "url": "https://www.firecrawl.dev/",
          "title": "Firecrawl - AI向けWebデータAPI",
          "description": "AI向けのウェブクローリング、スクレイピング、検索API。大規模運用に対応。Firecrawlはインターネット全体をAIエージェントやビルダーに提供します。",
          "position": 1
        },
        {
          "url": "https://github.com/firecrawl/firecrawl",
          "title": "mendableai/firecrawl: Turn entire websites into LLM-ready ... - GitHub",
          "description": "Firecrawl is an API service that takes a URL, crawls it, and converts it into clean markdown or structured data.",
          "position": 2
        },
        ...
      ],
      "images": [
        {
          "title": "Quickstart | Firecrawl",
          "imageUrl": "https://mintlify.s3.us-west-1.amazonaws.com/firecrawl/logo/logo.png",
          "imageWidth": 5814,
          "imageHeight": 1200,
          "url": "https://docs.firecrawl.dev/",
          "position": 1
        },
        ...
      ],
      "news": [
        {
          "title": "Y Combinator startup Firecrawl is ready to pay $1M to hire three AI agents as employees",
          "url": "https://techcrunch.com/2025/05/17/y-combinator-startup-firecrawl-is-ready-to-pay-1m-to-hire-three-ai-agents-as-employees/",
          "snippet": "It's now placed three new ads on YC's job board for “AI agents only” and has set aside a $1 million budget total to make it happen.",
          "date": "3 months ago",
          "position": 1
        },
        ...
      ]
    }
  }
  ```
</Accordion>

<div id="scrape">
  ## スクレイピング
</div>

任意の URL をスクレイピングし、そのコンテンツを Markdown、HTML、またはその他の形式で取得できます。すべてのオプションについては、[Scrape feature docs](/ja/features/scrape) を参照してください。

<CodeGroup>
  ```python Python theme={null}
  from firecrawl import Firecrawl

  firecrawl = Firecrawl(api_key="fc-YOUR-API-KEY")

  # ウェブサイトをスクレイピングする：
  doc = firecrawl.scrape("https://firecrawl.dev", formats=["markdown", "html"])
  print(doc)
  ```

  ```js Node theme={null}
  import Firecrawl from '@mendable/firecrawl-js';

  const firecrawl = new Firecrawl({ apiKey: "fc-YOUR-API-KEY" });

  // ウェブサイトをスクレイピングする:
  const doc = await firecrawl.scrape('https://firecrawl.dev', { formats: ['markdown', 'html'] });
  console.log(doc);
  ```

  ```bash cURL theme={null}
  curl -s -X POST "https://api.firecrawl.dev/v2/scrape" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
      "url": "https://firecrawl.dev",
      "formats": ["markdown", "html"]
    }'
  ```

  ```bash CLI theme={null}
  # Scrape a URL and get markdown
  firecrawl https://firecrawl.dev

  # 複数のフォーマットで取得（JSONを返す）
  firecrawl https://firecrawl.dev --format markdown,html,links --pretty
  ```
</CodeGroup>

<Accordion title="Response">
  SDK は data オブジェクトを直接返します。cURL は以下に示すとおり、ペイロードをそのまま返します。

  ```json theme={null}
  {
    "success": true,
    "data" : {
      "markdown": "Launch Week I が開幕！[2日目のリリースを見る 🚀](https://www.firecrawl.dev/blog/launch-week-i-day-2-doubled-rate-limits)[💥 2か月無料をゲット...",
      "html": "<!DOCTYPE html><html lang=\"en\" class=\"light\" style=\"color-scheme: light;\"><body class=\"__variable_36bd41 __variable_d7dc5d font-inter ...",
      "metadata": {
        "title": "ホーム - Firecrawl",
        "description": "Firecrawl は、あらゆるウェブサイトをクリーンな Markdown にクロールして変換します。",
        "language": "en",
        "keywords": "Firecrawl,Markdown,データ,Mendable,Langchain",
        "robots": "follow, index",
        "ogTitle": "Firecrawl",
        "ogDescription": "あらゆるウェブサイトを LLM で使えるデータに変換。",
        "ogUrl": "https://www.firecrawl.dev/",
        "ogImage": "https://www.firecrawl.dev/og.png?123",
        "ogLocaleAlternate": [],
        "ogSiteName": "Firecrawl",
        "sourceURL": "https://firecrawl.dev",
        "statusCode": 200,
        "contentType": "text/html"
      }
    }
  }
  ```
</Accordion>

<div id="interact">
  ## Interact
</div>

ページをスクレイピングした後も、そのまま操作を続けられます。ボタンのクリック、フォームへの入力、動的コンテンツの抽出、さらに深い階層への移動が可能です。やりたいことを平易な英語で指定することも、完全に制御するためのコードを書くこともできます。すべてのオプションについては、[Interact 機能のドキュメント](/ja/features/interact)を参照してください。

<CodeGroup>
  ```python Python theme={null}
  from firecrawl import Firecrawl

  app = Firecrawl(api_key="fc-YOUR-API-KEY")

  # 1. Amazonのホームページをスクレイピング
  result = app.scrape("https://www.amazon.com", formats=["markdown"])
  scrape_id = result.metadata.scrape_id

  # 2. インタラクト — 商品を検索して価格を取得
  app.interact(scrape_id, prompt="Search for iPhone 16 Pro Max")
  response = app.interact(scrape_id, prompt="Click on the first result and tell me the price")
  print(response.output)

  # 3. セッションを停止
  app.stop_interaction(scrape_id)
  ```

  ```js Node theme={null}
  import Firecrawl from '@mendable/firecrawl-js';

  const app = new Firecrawl({ apiKey: 'fc-YOUR-API-KEY' });

  // 1. Amazonのホームページをスクレイピングする
  const result = await app.scrape('https://www.amazon.com', { formats: ['markdown'] });
  const scrapeId = result.metadata?.scrapeId;

  // 2. インタラクト — 商品を検索して価格を取得する
  await app.interact(scrapeId, { prompt: 'Search for iPhone 16 Pro Max' });
  const response = await app.interact(scrapeId, { prompt: 'Click on the first result and tell me the price' });
  console.log(response.output);

  // 3. セッションを停止する
  await app.stopInteraction(scrapeId);
  ```

  ```bash cURL theme={null}
  # 1. Amazonのホームページをスクレイピングする
  RESPONSE=$(curl -s -X POST "https://api.firecrawl.dev/v2/scrape" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"url": "https://www.amazon.com", "formats": ["markdown"]}')

  SCRAPE_ID=$(echo $RESPONSE | jq -r '.data.metadata.scrapeId')

  # 2. インタラクト — 商品を検索して価格を取得する
  curl -s -X POST "https://api.firecrawl.dev/v2/scrape/$SCRAPE_ID/interact" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"prompt": "Search for iPhone 16 Pro Max"}'

  curl -s -X POST "https://api.firecrawl.dev/v2/scrape/$SCRAPE_ID/interact" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"prompt": "Click on the first result and tell me the price"}'

  # 3. セッションを停止する
  curl -s -X DELETE "https://api.firecrawl.dev/v2/scrape/$SCRAPE_ID/interact" \
    -H "Authorization: Bearer $FIRECRAWL_API_KEY"
  ```

  ```bash CLI theme={null}
  # 1. AmazonのホームページをスクレイピングするスクレイピングIDは自動的に保存されます）
  firecrawl scrape https://www.amazon.com

  # 2. 操作する — 商品を検索して価格を取得する
  firecrawl interact "Search for iPhone 16 Pro Max"
  firecrawl interact "Click on the first result and tell me the price"

  # 3. セッションを停止する
  firecrawl interact stop
  ```
</CodeGroup>

<Accordion title="レスポンス">
  ```json Response theme={null}
  {
    "success": true,
    "liveViewUrl": "https://liveview.firecrawl.dev/...",
    "interactiveLiveViewUrl": "https://liveview.firecrawl.dev/...",
    "output": "The iPhone 16 Pro Max (256GB) is priced at $1,199.00.",
    "exitCode": 0,
    "killed": false
  }
  ```
</Accordion>

***

<div id="more-capabilities">
  ## その他の機能
</div>

<CardGroup cols={4}>
  <Card title="Agent" icon="robot" href="/ja/features/agent">
    AI を活用した自律的な Web データ収集
  </Card>

  <Card title="Browser Sandbox" icon="browser" href="/ja/features/browser">
    インタラクティブなワークフロー向けのマネージドブラウザセッション
  </Card>

  <Card title="Map" icon="map" href="/ja/features/map">
    Web サイト上のすべての URL を検出
  </Card>

  <Card title="クロール" icon="spider-web" href="/ja/features/crawl">
    サイト全体からコンテンツを再帰的に収集
  </Card>
</CardGroup>

***

<div id="resources">
  ## リソース
</div>

<CardGroup cols={2}>
  <Card title="APIリファレンス" icon="code" href="/ja/api-reference/v2-introduction">
    インタラクティブな実行例付きの詳細なAPIドキュメント
  </Card>

  <Card title="SDKs" icon="boxes-stacked" href="/ja/sdks/overview">
    Python、Node.js、CLI、コミュニティ製SDK
  </Card>

  <Card title="オープンソース" icon="github" href="/ja/contributing/open-source-or-cloud">
    Firecrawlをセルフホストする、またはプロジェクトに貢献する
  </Card>

  <Card title="連携" icon="puzzle-piece" href="/ja/developer-guides/llm-sdks-and-frameworks/openai">
    LangChain、LlamaIndex、OpenAI など
  </Card>
</CardGroup>
